<?php

ini_set('default_socket_timeout', 500);
include_once("../scripts/connect.php");
include ("../scripts/ModeloCompacto.php");
$conexion = conecta_default ();

$fech1 = '2023-01-01';
$fech2 = '2023-01-31';
$id_inver = 17678;

$modeloNegocio = new ModeloCompacto($conexion);
$modeloNegocio->procesarInversionistaCompacto($id_inver, $fech1, $fech2);

echo "<h2>Resumen de cálculos</h2><hr />";
$modeloNegocio->imprimirCalculos();

echo "<h2>Detalle</h2><hr />";
$modeloNegocio->imprimirDatos();